> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add segments

> Add new segments to existing project transcription.



## OpenAPI

````yaml post /v2/projects/{project_id}/transcription/segments
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/projects/{project_id}/transcription/segments:
    post:
      tags:
        - projects
      summary: Add segments
      description: Add new segments to existing project transcription.
      operationId: >-
        add_transcription_segments_v2_projects__project_id__transcription_segments_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranscriptionSegmentsCreate'
      responses:
        '200':
          description: Added transcription segments
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscriptionGet'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TranscriptionSegmentsCreate:
      properties:
        segments:
          items:
            $ref: '#/components/schemas/SegmentCreate'
          type: array
          title: Segments
          description: List of segments to add to the existing project transcription
      type: object
      required:
        - segments
      title: TranscriptionSegmentsCreate
    TranscriptionGet:
      properties:
        segments:
          items:
            $ref: '#/components/schemas/SegmentGet'
          type: array
          title: List of segments
          description: List of segments
      type: object
      required:
        - segments
      title: TranscriptionGet
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SegmentCreate:
      properties:
        src:
          anyOf:
            - $ref: '#/components/schemas/SegmentText'
            - type: 'null'
        dst:
          anyOf:
            - $ref: '#/components/schemas/SegmentText'
            - type: 'null'
        speaker:
          anyOf:
            - type: string
            - type: 'null'
          title: Speaker identifier
          description: >-
            Speaker identifier. Must be specified in `SPEAKER_XX` format
            (case-sensitive), where `XX` corresponds to Speaker's index,
            starting with 00.
        start:
          type: string
          title: Segment start time
          description: Segment start time. Must be valid `HH:MM:SS,mmm` timestamp
        end:
          type: string
          title: Segment end time
          description: Segment end time. Must be valid `HH:MM:SS,mmm` timestamp
      type: object
      required:
        - start
        - end
      title: SegmentCreate
    SegmentGet:
      properties:
        src:
          anyOf:
            - $ref: '#/components/schemas/SegmentText'
            - type: 'null'
        dst:
          anyOf:
            - $ref: '#/components/schemas/SegmentText'
            - type: 'null'
        speaker:
          anyOf:
            - type: string
            - type: 'null'
          title: Speaker identifier
          description: >-
            Speaker identifier. Must be specified in `SPEAKER_XX` format
            (case-sensitive), where `XX` corresponds to Speaker's index,
            starting with 00.
        start:
          type: string
          title: Segment start time
          description: Segment start time. Must be valid `HH:MM:SS,mmm` timestamp
        end:
          type: string
          title: Segment end time
          description: Segment end time. Must be valid `HH:MM:SS,mmm` timestamp
        id:
          type: string
          title: Segment ID
          description: Segment ID
        status:
          $ref: '#/components/schemas/SegmentStatus'
      type: object
      required:
        - start
        - end
        - id
        - status
      title: SegmentGet
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SegmentText:
      properties:
        text:
          type: string
          title: Segment text
          description: Segment text
        lang:
          anyOf:
            - type: string
            - type: 'null'
          title: Segment language
          description: Segment language
      type: object
      required:
        - text
    SegmentStatus:
      type: string
      enum:
        - processing
        - updated
        - done
        - error
      title: SegmentStatus
      description: Segment status
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````